# pandas.TimedeltaIndex.slice_locs

`TimedeltaIndex.``slice_locs`(start=None, end=None, step=None, kind=None)

  Compute slice locations for input labels.

  Parameters:

  start : label, default None

  > If None, defaults to the beginning

  end : label, default None

  > If None, defaults to the end

  step : int, defaults None

  > If None, defaults to 1

  kind : string, defaults None

  Returns: | start, end : int